Get Service Offering

Get Service Offering
Get a service offering

This endpoint retrieves the service offering by GUID.

Request
URI
GET
https://api.example.local/v3/service_offerings/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServiceOffering of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "description": "string",
    "available": false,
    "tags": [
        "string"
    ],
    "requires": [
        "string"
    ],
    "shareable": false,
    "documentation_url": "string",
    "broker_catalog": {
        "id": "string",
        "metadata": {
            "displayName": "string",
            "documentationUrl": "string",
            "imageUrl": "string",
            "longDescription": "string",
            "providerDisplayName": "string",
            "supportUrl": "string"
        },
        "features": {
            "plan_updateable": false,
            "bindable": false,
            "instances_retrievable": false,
            "bindings_retrievable": false,
            "allow_context_updates": false
        }
    },
    "relationships": {
        "service_broker": {
            "data": {
                "guid": "string"
            }
        }
    },
    "service_broker_guid": "string",
    "service_broker_name": "string",
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "service_plans": {
            "href": "string",
            "method": "string"
        },
        "service_broker": {
            "href": "string",
            "method": "string"
        }
    }
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_offerings/{guid}